I started hearing complaints that a particular learning module completed a few weeks ago was freezing up at random. It took a while to isolate the problem down to the use of JQuery UI tabs on a couple of pages.

I had a combination of jQuery UI 1.6rc6 and jQuery 1.3.1. Apparently, at least as far as IE 1.7 is concerned (it doesn’t seem to bother Firefox or Safari) jQuery UI versions below 1.7 are not supported on jQuery 1.3. You must either upgrade jQuery UI to 1.7+ or downgrade jQuery to 1.2.